# Check BOM material availability vs on-hand stock for an order (/docs/api-reference/production-orders/ProductionOrdersController_checkMaterials)

`GET /api/factories/{factoryId}/production-orders/{id}/check-materials`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string |  |
| `id` | path | yes | string |  |

## Responses

### 200: Material availability — { ok, shortfalls[] }